ProyectoCrm/src/app/Modulos/CotizacionModulo/Paginas/fw-cotizaciones/Componentes/fw-cotizaciones-historial/fw-cotizaciones-historial.component.html

<div class="form-row">
  <div class="form-group col-10">
    <div class="ControlInput">
      <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-coins"></i></span></div>
      <input class="ControlInput--Input" #txtTasa="" type="number" SoloNumeros="decimal" min="0" [readonly]="!tPermisoAgregar" size="sm"/>
    </div>
  </div>
  <div class="form-group col-2">
    <button class="btn btn-outline-success btn-sm" type="button" (click)="Agregar(txtTasa.value)"><span class="fas fa-plus"></span></button>
  </div>
</div>
<div class="form-row" *ngFor="let tTasa of tTasas | ordenar: {'CampoOrdenamiento' : 'Fecha_vigencia', 'TipoCampo' : 'Fecha', 'TipoOrdenamiento': 'Desc'} | slice: (tPaginaTasa-1) * tTamanoTasa : (tPaginaTasa-1) * tTamanoTasa + tTamanoTasa">
  <div class="form-group col-12">
    <div class="card shadow-sm h-100" [ngClass]="{'border-left-success':tTasa.Estatus==='ACTIVO', 'border-left-secondary':tTasa.Estatus!=='ACTIVO'}">
      <div class="card-body">
        <div class="row no-gutters align-items-center">
          <div class="col mr-2">
            <div class="font-weight-bold mb-1" [ngClass]="{'text-success':tTasa.Estatus==='ACTIVO', 'text-secondary':tTasa.Estatus!=='ACTIVO'}">{{tTasa.Fecha_vigencia | date:'dd/MM/yyyy HH:mm:ss'}}</div>
            <div class="text-xs h6 mb-0 font-weight-bold text-gray-800">{{tTasa.Tasa | number:'1.2-10'}}</div>
          </div>
          <div class="col-auto">
            <div class="fas fa-coins fa-2x text-gray-300"></div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<div class="form-row">
  <div class="form-group col-12">
    <ngb-pagination class="d-flex justify-content-center" [collectionSize]="tTasas.length" [(page)]="tPaginaTasa" aria-label="Default pagination" [pageSize]="tTamanoTasa"></ngb-pagination>
  </div>
</div>

ProyectoCrm/src/app/Modulos/CotizacionModulo/Paginas/fw-cotizaciones/Componentes/fw-cotizaciones-historial/fw-cotizaciones-historial.component.pug
div.form-row
  div.form-group.col-10
    div.ControlInput
      div.ControlInput--ContenedorIcono
        span.ControlInput--ContenedorIcono-Icono
          i.fas.fa-coins
      input(#txtTasa="",
            type="number",
            SoloNumeros="decimal",
            min="0",
            [readonly]="!tPermisoAgregar",
            size="sm").ControlInput--Input
  div.form-group.col-2
      button(type="button", (click)="Agregar(txtTasa.value)").btn.btn-outline-success.btn-sm
          span.fas.fa-plus
div(*ngFor="let tTasa of tTasas | ordenar: {'CampoOrdenamiento' : 'Fecha_vigencia', 'TipoCampo' : 'Fecha', 'TipoOrdenamiento': 'Desc'} | slice: (tPaginaTasa-1) * tTamanoTasa : (tPaginaTasa-1) * tTamanoTasa + tTamanoTasa").form-row
  div.form-group.col-12
    div([ngClass]="{'border-left-success':tTasa.Estatus==='ACTIVO', 'border-left-secondary':tTasa.Estatus!=='ACTIVO'}").card.shadow-sm.h-100
      div.card-body
        div.row.no-gutters.align-items-center
          div.col.mr-2
            div([ngClass]="{'text-success':tTasa.Estatus==='ACTIVO', 'text-secondary':tTasa.Estatus!=='ACTIVO'}").font-weight-bold.mb-1 {{tTasa.Fecha_vigencia | date:'dd/MM/yyyy HH:mm:ss'}}
            div.text-xs.h6.mb-0.font-weight-bold.text-gray-800 {{tTasa.Tasa | number:'1.2-10'}}
          div.col-auto
            div.fas.fa-coins.fa-2x.text-gray-300
div.form-row
  div.form-group.col-12
    ngb-pagination([collectionSize]="tTasas.length",
                    [(page)]="tPaginaTasa",
                    aria-label="Default pagination",
                    [pageSize]="tTamanoTasa").d-flex.justify-content-center
